config/routes.rb
Rails.application.routes.draw do

  resources :diplomas
  devise_for :centers,
             :path=>'recruteur',
             :path_names=>{:sign_in=>'login', :edit=>'profile'},
             :controllers=>{
                 :registrations=>'centers/registrations',
                 :sessions=>'centers/sessions'
             }

  devise_for :users,
             :path=>'',
             :path_names=>{:sign_in=>'login', :sign_out=>'logout', :edit=>'profile'},
             :controllers=>{
                 :registrations=>'users/registrations',
                 :sessions=>'users/sessions'
             }

  resources :users do
    get :matching_offers
  end
  resources :centers
  resources :availabilities
  resources :circonscriptions
  resources :offers
  resources :schools

  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

  # root page of the application
  root 'pages#home'

  get '/search' => 'pages#search'
end

app/views/layouts/_footer.html.erb
<footer class="footer-distributed">

  <div class="footer-left">

    <div><%= image_tag "logo-mairie-paris.png", style: 'width: 100%; margin-bottom: 10px;'%></div>

    <div class="footer-company-name">AlloAnim © 2017</div>
  </div>

  <div class="footer-center">

    <div>
      <i class="fa fa-question"></i>
      <p>Une question ? Contactez-nous :</p>
    </div>

    <div>
      <i class="fa fa-phone"></i>
      <p>06 07 67 69 09</p>
    </div>

    <div>
      <i class="fa fa-envelope"></i>
      <p><a href="mailto:christian.bockarie@paris.fr">christian.bockarie@paris.fr</a></p>
    </div>

  </div>

  <div class="footer-right">

    <p class="footer-company-about">
      <span>A propos d'AlloAnim</span>
      AlloAnim est une <a href="http://missioncapitale.paris.fr/57/horizons/lactu-de-la-ville/lancement-de-start-up-de-ville/" target="_blank">Startup de Ville</a> : un programme expérimental de la Mairie de Paris, porté par des agents de la Ville qui ont identifié sur le terrain une opportunité d’améliorer le service public.
    </p>

    <div class="footer-icons">

      <a href="https://m.facebook.com/groups/945868692221749"><i class="fa fa-facebook"></i></a>
      <a href="https://twitter.com/search?f=tweets&vertical=default&q=%23startupdeville&src=typd&lang=fr"><i class="fa fa-twitter"></i></a>

    </div>

  </div>

</footer>

app/views/layouts/_messages.html.erb
<% flash.each do |name, msg|%>
    <div class='alert alert-<%= "#{name}" %>'>
      <a href="#" class="close" data-dismiss="alert">&#215;</a>
      <%= content_tag :div, msg, :id => "flash_#{name}" if msg.is_a?(String)%>
    </div>
<% end %>

app/views/layouts/_navigation.html.erb
<nav class="navbar navbar-default">
  <div class="container-fluid">
    <!-- Brand and toggle get grouped for better mobile display -->
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <div>
        <% if (user_signed_in? || center_signed_in?) %>
          <% if user_signed_in? %>
            <%= link_to 'AlloAnim', user_matching_offers_path(current_user.id),class: 'navbar-brand' %>
          <% end %>
          <% if center_signed_in? %>
            <%= link_to 'AlloAnim', users_path ,class: 'navbar-brand' %>
          <% end %>
        <% else %>
          <%= link_to 'AlloAnim', root_path ,class: 'navbar-brand' %>
        <% end %>
        <span class="beta-brand">prototype</span>
      </div>

    </div>

    <!-- Collect the nav links, forms, and other content for toggling -->
   <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">

     <% if center_signed_in? %>
         <ul class="nav navbar-nav">
           <% if can? :read, User %>
               <li>
                 <%= link_to users_path, method: :get do %>
                     <i class="fa fa-lg fa-search"></i>
                     Rechercher un animateur
                 <% end %>
               </li>
           <% end %>
         </ul>
    <% end %>

     <ul class="nav navbar-nav navbar-right">
        <% if (user_signed_in? || center_signed_in?) %>
            <% if can? :read, Offer %>
                <li><%= link_to "Offres en cours", offers_path, method: :get %>
                </li>
            <% end %>
            <% if user_signed_in? %>
                <li class="menu_link btn btn-turquoise btn-slim nav_action">
                  <%= link_to user_path(current_user, :anchor => "calendar"), method: :get do %>
                      <i class="fa fa-calendar"></i>
                      <span>Remplir mes disponibilités</span>
                  <% end %>
                </li>
                <li class="menu_link">
                  <%= link_to (user_matching_offers_path(current_user.id)) do %>
                    Mes matchings
                      <% if @matches.present? %>
                        <span class="badge notification-badge"> <%= @matches.count %></span>
                      <% else %>
                          <span class="badge empty-badge"> <i class="fa fa-info "></i></span>
                      <% end %>
                  <%end %>
                </li>

            <% end %>

        <% end %>
        <% if (!user_signed_in? && !center_signed_in?) %>
          <li class="menu_link"><%= link_to "S'inscrire", new_user_registration_path, method: :get %></li>
          <li class="menu_link"><%= link_to "Se connecter", user_session_path, method: :get %>
          <li class="btn btn-pink btn-slim"><%= link_to 'Accès recruteur', center_session_path, method: :get %></li>
        <% else %>
          <% if user_signed_in? %>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                <%= image_tag avatar_url(current_user), class: 'aaa-img-circle avatar-small' %>
                <% if current_user.first_name.present? && current_user.last_name.present?%>
                    <%= current_user.first_name %> <%= current_user.last_name %>
                    <span class="caret"></span>
                <% end %>
              </a>
              <ul class="dropdown-menu">
                <li><%= link_to 'Mon profil', user_path(current_user) %></li>
                <li role="separator" class="divider"></li>
                <li><%= link_to 'Déconnexion', destroy_user_session_path, method: :delete %></li>
              </ul>
            </li>
          <% else if center_signed_in? %>
            <li class="menu_link btn btn-turquoise btn-slim nav_action">
              <%= link_to new_offer_path, method: :get do %>
                  <i class="fa fa-plus"></i>
                    <span>Créer une offre</span>
              <% end %>
            </li>
            <li class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                <%= current_center.first_name %> <%= current_center.last_name %> (REV)
                <span class="caret"></span>
              </a>
              <ul class="dropdown-menu">
                <li><a href="#"><%= link_to 'Mon Profil', center_path(current_center) %></a></li>
                <li role="separator" class="divider"></li>
                <li><%= link_to 'Déconnexion', destroy_center_session_path, method: :delete %></li>
              </ul>
            </li>
           <% end %>
        <% end %>
      <% end %>
      </ul>
    </div><!-- /.navbar-collapse -->
  </div><!-- /.container-fluid -->
</nav>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>AlloAnim</title>
    <link href="https://fonts.googleapis.com/css?family=Ubuntu:300,400,500,700" rel="stylesheet">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.18.1/moment.min.js"></script>
    <%= csrf_meta_tags %>
    <%= stylesheet_link_tag 'application', media: 'all', 'data-turbolinks-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbolinks-track': 'reload' %>

  </head>

  <body  >

    <div class="<%= current_page?(root_path) ? 'home_page' : 'main_wrapper' %>">
    <% if (user_signed_in? || center_signed_in? ) %>
      <a href="https://goo.gl/forms/H8aAClPBJB7qNRWE3" class="feedback-form" target=_blank">Feedback</a>
     <% end %>
    <%= render 'layouts/navigation' %>


    <%= render 'layouts/messages' %>
    <%= yield %>

    </div>
    <%= render 'layouts/footer' %>
  </body>
</html>